Bug 90986 - (VIDEO VESAFB)vesafb doesn't work with high-mem support
(VIDEO VESAFB)vesafb doesn't work with high-mem support
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 00:53 EDT by Daniel Tweedt
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Tweedt 2003-05-16 00:53:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
On a kernel built with HIGHMEM support (4GB in my case), booting with the kernel
option "vga=0x305" or any similar graphics mode causes the kernel to immediately
hang with a blank screen at the beginning of the boot sequence.

Version-Release number of selected component (if applicable):
kernel-2.4.18-* and/or kernel-2.4.20-*

How reproducible:
Always

Steps to Reproduce:
1. Build custom kernel with HIGHMEM support.
2. Add kernel boot option "vga=0x305".
3. Try to boot new kernel.
    

Actual Results:  See Description.

Expected Results:  Kernel should have booted.

Additional Information:
Although my system is an Athlon platform, I doubt that has anything to do with
it. It's probably a generic i386 problem?  Also, maybe this only happens if the
system actually tries to use the high memory? I didn't try to boot the kernel on
a system with less than 1 GB of RAM.

Kernel 2.4.21-rc2 has a fix for this which is easily back-ported. In
"drivers/video/vesafb.c", replace the line

    video_size = screen_info.lfb_size * 65536;

with the following line:

    video_size = screen_info.lfb_width * screen_info.lfb_height * video_bpp;
Comment 1 Alan Cox 2003-06-08 09:44:53 EDT
Its not quite so simple a fix but its getting there as of rc7. Its triggered
with very large amounts of video ram and a lot of main memory.
Comment 2 Bugzilla owner 2004-09-30 11:40:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.